# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::SeqParams Class Reference

Parameters relating to the video sequence being encoded/decoded.

`#include <common.h>`

List of all members.

## Public Member Functions

- SeqParams (const VideoFormat &video_format=VIDEO_FORMAT_CUSTOM, bool set_defaults=true)
    Default Constructor.
- int Xl () const
    Returns the picture width.
- int Yl () const
    Returns the picture height.
- ChromaFormat CFormat () const
    Returns the chroma format of the sequence (Y only, 420, 422 etc).
- int ChromaWidth () const
    Returns the chroma width.
- int ChromaHeight () const
    Returns the chroma height.
- int BitstreamVersion () const
    Returns the bitstream version.
- VideoFormat GetVideoFormat () const
    Returns video-format.
- int GetVideoDepth () const
    Returns video depth.
- void SetXl (int xlen)
    Sets the picture width.
- void SetYl (int ylen)
    Sets the picture height.
- void SetCFormat (ChromaFormat cf)
    Sets the chroma format (Y only, 420, 422 etc).
- void SetVideoDepth (int vd)
    Sets number of bits used in coding.
- void SetBitstreamVersion (int bs_ver)
    Sets the bitstream version.

## Private Attributes

- int m_xl
    Width of video.
- int m_yl
    Height of video.
- ChromaFormat m_cformat
    Presence of chroma and/or chroma sampling structure.
- unsigned char m_bs_ver
    Bitsream version.
- VideoFormat m_video_format
    Video-format.
- int m_video_depth
    Number of bits used to compress input signal.

## Constructor & Destructor Documentation

dirac::SeqParams::SeqParams | ( | const VideoFormat & | video_format = `VIDEO_FORMAT_CUSTOM`,
|  | bool | set_defaults = `true` |
| ) |  |  |

## Member Function Documentation

int dirac::SeqParams::BitstreamVersion | ( |  | ) | const`[inline]`

ChromaFormat dirac::SeqParams::CFormat | ( |  | ) | const`[inline]`

int dirac::SeqParams::ChromaHeight | ( |  | ) | const

int dirac::SeqParams::ChromaWidth | ( |  | ) | const

int dirac::SeqParams::GetVideoDepth | ( |  | ) | const`[inline]`

VideoFormat dirac::SeqParams::GetVideoFormat | ( |  | ) | const`[inline]`

void dirac::SeqParams::SetBitstreamVersion | ( | int | bs_ver | ) | `[inline]`

void dirac::SeqParams::SetCFormat | ( | ChromaFormat | cf | ) | `[inline]`

void dirac::SeqParams::SetVideoDepth | ( | int | vd | ) | `[inline]`

void dirac::SeqParams::SetXl | ( | int | xlen | ) | `[inline]`

void dirac::SeqParams::SetYl | ( | int | ylen | ) | `[inline]`

int dirac::SeqParams::Xl | ( |  | ) | const`[inline]`

int dirac::SeqParams::Yl | ( |  | ) | const`[inline]`

## Member Data Documentation

unsigned char dirac::SeqParams::m_bs_ver`[private]`

ChromaFormat dirac::SeqParams::m_cformat`[private]`

int dirac::SeqParams::m_video_depth`[private]`

VideoFormat dirac::SeqParams::m_video_format`[private]`

int dirac::SeqParams::m_xl`[private]`

int dirac::SeqParams::m_yl`[private]`

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.